function disp_curr_point(ax,h)
global phase_disp x_curr y_curr x_mem y_mem a_mark

rag=sqrt(x_curr^2+y_curr^2); fi=atan2(y_curr,x_curr);
rag1=sqrt(x_mem^2+y_mem^2); fi1=atan2(y_mem,x_mem);
g=x_curr+i*y_curr; g1=x_mem+i*y_mem;
z=(1+g)/(1-g); z1=(1+g1)/(1-g1);
y=1/z; y1=1/z1;

df=fi-fi1; drag=rag-rag1;
dz=z-z1; dr=real(dz); dx=imag(dz);
dy=y-y1; dg=real(dy); db=imag(dy);

if phase_disp=='phasedeg', x=rag; y=180*fi/pi; dfi=180*df/pi; end
if phase_disp=='phaselan', x=rag; y=fi/(4*pi); dfi=df/(4*pi); end

set(h(4),'string',[num2str(x) ' , ' num2str(y)]);

set(h(6),'string',[num2str(drag) ' , ' num2str(dfi)]);
set(h(7),'string',[num2str(dr) ' , ' num2str(dx)]);
set(h(8),'string',[num2str(dg) ' , ' num2str(db)]);

if a_mark==1, putmark, end
