function [S,stab,K,Gsm,Glm,Gtmax,MSG,CS,CL,rL,rS]=genscat(scat,freq)

S=zeros(2,2); Gsm=[]; Glm=[]; Gtmax=[]; MSG=[]; CS=[]; CL=[]; rL=[]; rS=[]; 
vet=table1(scat,freq);
for k=1:4; R(k)=vet(2*k-1); TH(k)=pi*vet(2*k)/180; end
[x,y]=pol2cart(TH,R);
S(1,1)=x(1)+i*y(1);
S(2,1)=x(2)+i*y(2);
S(1,2)=x(3)+i*y(3);
S(2,2)=x(4)+i*y(4);

s=abs(S);detS=det(S); delta=abs(detS); 
K=(1-s(1,1)^2-s(2,2)^2+delta^2)/(2*s(1,2)*s(2,1));

if K > 1 & delta < 1,
  stab=1;
  b1=1+s(1,1)^2-s(2,2)^2-delta^2;
  b2=1-s(1,1)^2+s(2,2)^2-delta^2;
  c1=S(1,1)-detS*conj(S(2,2));
  c2=S(2,2)-detS*conj(S(1,1));
  Gsm=conj(c1)*(b1-sqrt(b1*b1-4*abs(c1)^2))/(2*abs(c1)^2);
  Glm=conj(c2)*(b2-sqrt(b2*b2-4*abs(c2)^2))/(2*abs(c2)^2);
  Gtmax=s(2,1)*(K-sqrt(K*K-1))/s(1,2);
else
  stab=0;
  MSG=s(2,1)/s(1,2);
  CL=(S(1,1)*conj(detS)-conj(S(2,2)))/(delta^2-s(2,2)^2);
  rL=s(1,2)*s(2,1)/abs(delta^2-s(2,2)^2);
  CS=(S(2,2)*conj(detS)-conj(S(1,1)))/(delta^2-s(1,1)^2);
  rS=s(1,2)*s(2,1)/abs(delta^2-s(1,1)^2);
end
