function [Ga,Glopt]=calc_Ga(Gs,S)
detS=det(S); dets=abs(detS); s=abs(S);
c1=S(1,1)-detS*conj(S(2,2));
Ga=s(2,1)^2*(1-abs(Gs)^2)/(1-s(2,2)^2+abs(Gs)^2*(s(1,1)^2-dets^2)-2*real(c1*Gs));
Glopt=conj((S(2,2)-Gs*detS)/(1-Gs*S(1,1)));

global n_mark h_mark
n_mark=n_mark+1; 
h_mark(n_mark)=line('xdata',real(Glopt),'ydata',imag(Glopt),'linestyle','x','markersize',10,'color',[1 1 0]);

